## org.apache.lucene.queryparser.flexible.core.parser
Interface SyntaxParser

All Known Implementing Classes:
  StandardSyntaxParser

    public interface SyntaxParser

A parser needs to implement `SyntaxParser` interface

Method Summary
`QueryNode` `parse(CharSequence query, CharSequence field)`

Method Detail

### parse

    QueryNode parse(CharSequence query,
                    CharSequence field)
                    throws QueryNodeParseException

  Parameters:
    `query` - - query data to be parsed
    `field` - - default field name
  Returns:
    QueryNode tree
  Throws:
    `QueryNodeParseException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.